gr::dab::select_subch_vfvf_impl Class Reference

selects vectors out of input vectors that belong to one subchannel More...

`#include <select_subch_vfvf_impl.h>`

Inheritance diagram for gr::dab::select_subch_vfvf_impl:
[legend]

## Public Member Functions

| select_subch_vfvf_impl (unsigned int vlen_in, unsigned int vlen_out, unsigned int address, unsigned int total_size)
| ~select_subch_vfvf_impl ()
void | forecast (int noutput_items, gr_vector_int &ninput_items_required)
int | general_work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Additional Inherited Members

Public Types inherited from gr::dab::select_subch_vfvf
typedef std::shared_ptr< select_subch_vfvf > | sptr
Static Public Member Functions inherited from gr::dab::select_subch_vfvf
static sptr | make (unsigned int vlen_in, unsigned int vlen_out, unsigned int address, unsigned int total_size)
| Return a shared_ptr to a new instance of dab::select_subch_vfvf.

## Detailed Description

selects vectors out of input vectors that belong to one subchannel

input: float vector of size vlen_in

output: float vector of size vlen_out

selects vlen_out/vlen_in vectors of total_size input vectors, beginning at address

Parameters

  vlen_in | Length of input vector in floats.
  vlen_out | Length of output vector in floats.
  address | number of input vector where output the output vector begins
  total_size | size in input vectors of one frame (dumped after output vector is selected)

## Constructor & Destructor Documentation

## select_subch_vfvf_impl()

gr::dab::select_subch_vfvf_impl::select_subch_vfvf_impl | ( | unsigned int | vlen_in,
|  | unsigned int | vlen_out,
|  | unsigned int | address,
|  | unsigned int | total_size )

## ~select_subch_vfvf_impl()

gr::dab::select_subch_vfvf_impl::~select_subch_vfvf_impl | ( |  | ) |

## Member Function Documentation

## forecast()

void gr::dab::select_subch_vfvf_impl::forecast | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items_required )

## general_work()

int gr::dab::select_subch_vfvf_impl::general_work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

The documentation for this class was generated from the following file:

- select_subch_vfvf_impl.h